/***************************
 **    Monster Contract Dealer   **
 **    Creator: Raisor: Created the Monster Contract sytem for RunUO ver 1.0	**
 **    Darkness_PR Made the NPC for the Monster Contract System for RunUO ver 1.0 **
 **    Current Updater for RunUO ver 2.0: Soultaker    **
 **    Version: 2.0a				**
 ***************************/
// Currently Being Updated by Soultaker
// All Credit goes to Raisor & Darkness_PR otherwise we wouldnt have this fantastic system.

using System;
using Server;
using Server.Gumps;
using Server.Network;
using Server.Items;
using Server.Mobiles;
// using Server.Commands; //Added to work on Runuo 2.0

namespace Server.Gumps
{
	public class MonsterContractDealerGump : Gump
	{
// 		public static void Initialize()
// 		{
// 			//         Commands.Register( "MonsterContractDealerGump", AccessLevel.GameMaster, new CommandEventHandler( MonsterContractDealerGump_OnCommand ) );  //Removed for Runuo 2.0
// 			Commands.CommandSystem.Register("LoveckeZakazky", AccessLevel.GameMaster, new CommandEventHandler(MonsterContractDealerGump_OnCommand)); // Added for Runuo 2.0
// 		}
// 
// 		//      private static void MonsterContractDealerGump_OnCommand( CommandEventArgs e ) // removed works on runuo 1.0
// 		private static void MonsterContractDealerGump_OnCommand( CommandEventArgs e ) // Fixed for Runuo 2.0
// 		{
// 			e.Mobile.SendGump( new MonsterContractDealerGump( e.Mobile ) );
// 		}

		public MonsterContractDealerGump( Mobile owner ) : base( 50,50 )
		{
			//----------------------------------------------------------------------------------------------------

			AddPage( 0 );
			AddImageTiled(  54, 33, 369, 400, 2624 );
			AddAlphaRegion( 54, 33, 369, 400 );

			AddImageTiled( 416, 39, 44, 389, 203 );
			//--------------------------------------Window size bar--------------------------------------------
			
			AddImage( 97, 49, 9004 );
			AddImageTiled( 58, 39, 29, 390, 10460 );
			AddImageTiled( 412, 37, 31, 389, 10460 );
			AddLabel( 140, 60, 0x34, "Lovecke zakazky" );
			AddImage( 430, 9, 10441);
			AddImageTiled( 40, 38, 17, 391, 9263 );
			AddImage( 6, 25, 10421 );
			AddImage( 34, 12, 10420 );
			AddImageTiled( 94, 25, 342, 15, 10304 );
			AddImageTiled( 40, 427, 415, 16, 10304 );
			AddImage( -10, 314, 10402 );
			AddImage( 56, 150, 10411 );
			// 			AddImage( 155, 120, 2103 );
			AddImage( 136, 84, 96 );
			
			AddPage( 1 );
			AddHtml( 107, 120, 300, 200, "<BODY>" +
			        "<BASEFONT COLOR=YELLOW>Vida mlady dobrodruh, zdravim te! Muzu s tebou na chvili mluvit? Chtel bych se te na neco zeptat a neco ti nabidnout.<BR><BR>Kdyz jsem byl jeste mlady byl jsem posedly lovenim monster na zakazku, dalo se tim velmi slusne privydelat na zivobyti. Ale ted jsem jiz stary a sily uz mi na to nestaci. Ty vsak vypadas mlade a myslim ze by jsi mohl/a vyuzit nekterou ze zakazek ktere mi zbyly.<BR>" +
			        "<BASEFONT COLOR=YELLOW>Takze jestli chces prohledni si moji nabidku zakazek a zdarma si vem jakou chces?<BR><BR>Zakazky funguji jednoduse. Na kazde je zobrazen nazev monstra, pro kterou je urcena, pocet a vyse odmeny. Pokud nevis kde se to ktere monstrum nachazi, zeptej se lidi, urcite ti radi poradi. " +
			        "<BASEFONT COLOR=YELLOW>Az monstrum naleznes, zabij ho, pak klikni na zakazku, vyber tlacitko PRIDAT a zamer mrtvolu. Pote co zabijes urceny pocet monster staci jiz jen kliknout na tlacitko VZIT ODMENU.<BR><BR>Pokud budes chtit, klidne si pak prijd pro dalsi zakazku, mam jich jeste spoustu!" +
			        "</BODY>", false, true);

			AddButton( 107, 335, 2224, 2224, 1, GumpButtonType.Page, 2 );
			AddLabel(130, 331, 1152, @"Newbie zakazky");
			AddButton( 107, 355, 2224, 2224, 2, GumpButtonType.Page, 3 );
			AddLabel(130, 351, 1152, @"Novice zakazky");
			AddButton( 107, 375, 2224, 2224, 3, GumpButtonType.Page, 4 );
			AddLabel(130, 371, 1152, @"Advanced zakazky");
			
			AddButton( 255, 335, 2224, 2224, 4, GumpButtonType.Page, 5 );
			AddLabel(278, 331, 1152, @"Expert zakazky");
			AddButton( 255, 355, 2224, 2224, 5, GumpButtonType.Page, 6 );
			AddLabel(278, 351, 1152, @"Master zakazky");
			AddButton( 255, 375, 2224, 2224, 6, GumpButtonType.Page, 7 );
			AddLabel(278, 371, 1152, @"Grandmaster zakazky");
			
			AddButton( 225, 400, 241, 243, 0, GumpButtonType.Reply, 0 ); //cancel
			//--------------------------------------------------------------------------------------------------------------
			AddPage( 2 );
			AddLabel(107, 120, 1152, @"Newbie zakazky");
			AddButton( 107, 155, 2224, 2224, 20, GumpButtonType.Reply, 0 );
			AddLabel(130, 151, 1152, @"Mongbat");
			AddButton( 107, 175, 2224, 2224, 21, GumpButtonType.Reply, 0 );
			AddLabel(130, 171, 1152, @"Skeleton");
			AddButton( 107, 195, 2224, 2224, 22, GumpButtonType.Reply, 0 );
			AddLabel(130, 191, 1152, @"Headless One");
			
			AddButton( 255, 155, 2224, 2224, 23, GumpButtonType.Reply, 0 );
			AddLabel(278, 151, 1152, @"Eagle");
			AddButton( 255, 175, 2224, 2224, 24, GumpButtonType.Reply, 0 );
			AddLabel(278, 171, 1152, @"Zombie");
			AddButton( 255, 195, 2224, 2224, 25, GumpButtonType.Reply, 0 );
			AddLabel(278, 191, 1152, @"Bogling");
			
			AddButton( 225, 400, 2322, 2323, 0, GumpButtonType.Page, 1 ); //zpet na prvni stranku
			//--------------------------------------------------------------------------------------------------------------
			AddPage( 3 );
			AddLabel(107, 120, 1152, @"Novice zakazky");
			AddButton( 107, 155, 2224, 2224, 30, GumpButtonType.Reply, 0 );
			AddLabel(130, 151, 1152, @"Wraith");
			AddButton( 107, 175, 2224, 2224, 31, GumpButtonType.Reply, 0 );
			AddLabel(130, 171, 1152, @"Alligator");
			AddButton( 107, 195, 2224, 2224, 32, GumpButtonType.Reply, 0 );
			AddLabel(130, 191, 1152, @"Ghoul");
			AddButton( 107, 215, 2224, 2224, 81, GumpButtonType.Reply, 0 );
			AddLabel(130, 211, 1152, @"Water Elemental");
			
			AddButton( 255, 155, 2224, 2224, 33, GumpButtonType.Reply, 0 );
			AddLabel(278, 151, 1152, @"Giant Spider");
			AddButton( 255, 175, 2224, 2224, 34, GumpButtonType.Reply, 0 );
			AddLabel(278, 171, 1152, @"Skeletal Archer");
			AddButton( 255, 195, 2224, 2224, 35, GumpButtonType.Reply, 0 );
			AddLabel(278, 191, 1152, @"Scorpion");
			
			AddButton( 225, 400, 2322, 2323, 0, GumpButtonType.Page, 1 ); //zpet na prvni stranku
			//--------------------------------------------------------------------------------------------------------------
			AddPage( 4 );
			AddLabel(107, 120, 1152, @"Advanced zakazky");
			AddButton( 107, 155, 2224, 2224, 40, GumpButtonType.Reply, 0 );
			AddLabel(130, 151, 1152, @"Gazer");
			AddButton( 107, 175, 2224, 2224, 41, GumpButtonType.Reply, 0 );
			AddLabel(130, 171, 1152, @"Earth Elemental");
			AddButton( 107, 195, 2224, 2224, 42, GumpButtonType.Reply, 0 );
			AddLabel(130, 191, 1152, @"Ettin");
			AddButton( 107, 215, 2224, 2224, 76, GumpButtonType.Reply, 0 );
			AddLabel(130, 211, 1152, @"Sea Serpent");
			AddButton( 107, 235, 2224, 2224, 82, GumpButtonType.Reply, 0 );
			AddLabel(130, 231, 1152, @"Dread Spider");
			AddButton( 107, 255, 2224, 2224, 83, GumpButtonType.Reply, 0 );
			AddLabel(130, 251, 1152, @"Tsuki Wolf");
			
			AddButton( 255, 155, 2224, 2224, 43, GumpButtonType.Reply, 0 );
			AddLabel(278, 151, 1152, @"Harpy");
			AddButton( 255, 175, 2224, 2224, 44, GumpButtonType.Reply, 0 );
			AddLabel(278, 171, 1152, @"Troll");
			AddButton( 255, 195, 2224, 2224, 45, GumpButtonType.Reply, 0 );
			AddLabel(278, 191, 1152, @"Imp");
			AddButton( 255, 215, 2224, 2224, 77, GumpButtonType.Reply, 0 );
			AddLabel(278, 211, 1152, @"Deep Sea Serpent");
			
			AddButton( 225, 400, 2322, 2323, 0, GumpButtonType.Page, 1 ); //zpet na prvni stranku
			//--------------------------------------------------------------------------------------------------------------
			AddPage( 5 );
			AddLabel(107, 120, 1152, @"Expert zakazky");
			AddButton( 107, 155, 2224, 2224, 50, GumpButtonType.Reply, 0 );
			AddLabel(130, 151, 1152, @"Wyvern");
			AddButton( 107, 175, 2224, 2224, 51, GumpButtonType.Reply, 0 );
			AddLabel(130, 171, 1152, @"Ogre");
			AddButton( 107, 195, 2224, 2224, 52, GumpButtonType.Reply, 0 );
			AddLabel(130, 191, 1152, @"Gargoyle");
			AddButton( 107, 215, 2224, 2224, 78, GumpButtonType.Reply, 0 );
			AddLabel(130, 211, 1152, @"Kraken");
			
			AddButton( 255, 155, 2224, 2224, 53, GumpButtonType.Reply, 0 );
			AddLabel(278, 151, 1152, @"Drake");
			AddButton( 255, 175, 2224, 2224, 54, GumpButtonType.Reply, 0 );
			AddLabel(278, 171, 1152, @"Cyclops");
			AddButton( 255, 195, 2224, 2224, 55, GumpButtonType.Reply, 0 );
			AddLabel(278, 191, 1152, @"Lich");
			AddButton( 255, 215, 2224, 2224, 80, GumpButtonType.Reply, 0 );
			AddLabel(278, 211, 1152, @"Fan Dancer");
			
			AddButton( 225, 400, 2322, 2323, 0, GumpButtonType.Page, 1 ); //zpet na prvni stranku
			//--------------------------------------------------------------------------------------------------------------
			AddPage( 6 );
			AddLabel(107, 120, 1152, @"Master zakazky");
			AddButton( 107, 155, 2224, 2224, 60, GumpButtonType.Reply, 0 );
			AddLabel(130, 151, 1152, @"Ophidian Matriarch");
			AddButton( 107, 175, 2224, 2224, 61, GumpButtonType.Reply, 0 );
			AddLabel(130, 171, 1152, @"Arctic Ogre Lord");
			AddButton( 107, 195, 2224, 2224, 62, GumpButtonType.Reply, 0 );
			AddLabel(130, 191, 1152, @"Ogre Lord");
			AddButton( 107, 215, 2224, 2224, 79, GumpButtonType.Reply, 0 );
			AddLabel(130, 211, 1152, @"Rotting Corpse");
			
			AddButton( 255, 155, 2224, 2224, 63, GumpButtonType.Reply, 0 );
			AddLabel(278, 151, 1152, @"Dragon");
			AddButton( 255, 175, 2224, 2224, 64, GumpButtonType.Reply, 0 );
			AddLabel(278, 171, 1152, @"Titan");
			AddButton( 255, 195, 2224, 2224, 65, GumpButtonType.Reply, 0 );
			AddLabel(278, 191, 1152, @"Lich Lord");
			
			AddButton( 225, 400, 2322, 2323, 0, GumpButtonType.Page, 1 ); //zpet na prvni stranku
			//--------------------------------------------------------------------------------------------------------------
			AddPage( 7 );
			AddLabel(107, 120, 1152, @"Grandmaster zakazky");
			AddButton( 107, 155, 2224, 2224, 70, GumpButtonType.Reply, 0 );
			AddLabel(130, 151, 1152, @"Ancient Wyrm");
			AddButton( 107, 175, 2224, 2224, 71, GumpButtonType.Reply, 0 );
			AddLabel(130, 171, 1152, @"White Wyrm");
			AddButton( 107, 195, 2224, 2224, 72, GumpButtonType.Reply, 0 );
			AddLabel(130, 191, 1152, @"Sea Terror");
			
			AddButton( 255, 155, 2224, 2224, 73, GumpButtonType.Reply, 0 );
			AddLabel(278, 151, 1152, @"Shadow Wyrm");
			AddButton( 255, 175, 2224, 2224, 74, GumpButtonType.Reply, 0 );
			AddLabel(278, 171, 1152, @"Skeletal Dragon");
			AddButton( 255, 195, 2224, 2224, 75, GumpButtonType.Reply, 0 );
			AddLabel(278, 191, 1152, @"Moloch");
			
			AddButton( 225, 400, 2322, 2323, 0, GumpButtonType.Page, 1 ); //zpet na prvni stranku
			//--------------------------------------------------------------------------------------------------------------


		}

		public override void OnResponse( NetState state, RelayInfo info ) //Function for GumpButtonType.Reply Buttons
		{
			Mobile from = state.Mobile;

			switch ( info.ButtonID )
			{
				case 0: //Case uses the ActionIDs defenied above. Case 0 defenies the actions for the button with the action id 0
					{
						//Cancel
						//                
						break;
					}
					//=== Newbie contracts
				case 20:
					{
						from.AddToBackpack( new MonsterContract("Mongbat", 15, 1500) );
						break;
					}
				case 21:
					{
						from.AddToBackpack( new MonsterContract("Skeleton", 15, 1500) );
						break;
					}
				case 22:
					{
						from.AddToBackpack( new MonsterContract("Headless One", 15, 1500) );
						break;
					}
				case 23:
					{
						from.AddToBackpack( new MonsterContract("Eagle", 15, 1500) );
						break;
					}
				case 24:
					{
						from.AddToBackpack( new MonsterContract("Zombie", 15, 1500) );
						break;
					}
				case 25:
					{
						from.AddToBackpack( new MonsterContract("Bogling", 15, 1500) );
						break;
					}
					//=== Novice contracts
				case 30:
					{
						from.AddToBackpack( new MonsterContract("Wraith", 15, 2250) );
						break;
					}
				case 31:
					{
						from.AddToBackpack( new MonsterContract("Alligator", 15, 2250) );
						break;
					}
				case 32:
					{
						from.AddToBackpack( new MonsterContract("Ghoul", 15, 2250) );
						break;
					}
				case 33:
					{
						from.AddToBackpack( new MonsterContract("Giant Spider", 15, 2250) );
						break;
					}
				case 34:
					{
						from.AddToBackpack( new MonsterContract("Skeletal Archer", 15, 2250) );
						break;
					}
				case 35:
					{
						from.AddToBackpack( new MonsterContract("Scorpion", 15, 2250) );
						break;
					}
					//=== Advanced contracts
				case 40:
					{
						from.AddToBackpack( new MonsterContract("Gazer", 15, 3500) );
						break;
					}
				case 41:
					{
						from.AddToBackpack( new MonsterContract("Earth Elemental", 15, 3500) );
						break;
					}
				case 42:
					{
						from.AddToBackpack( new MonsterContract("Ettin", 15, 3500) );
						break;
					}
				case 43:
					{
						from.AddToBackpack( new MonsterContract("Harpy", 15, 3500) );
						break;
					}
				case 44:
					{
						from.AddToBackpack( new MonsterContract("Troll", 15, 3500) );
						break;
					}
				case 45:
					{
						from.AddToBackpack( new MonsterContract("Imp", 15, 3500) );
						break;
					}
					//=== Expert contracts
				case 50:
					{
						from.AddToBackpack( new MonsterContract("Wyvern", 15, 4250) );
						break;
					}
				case 51:
					{
						from.AddToBackpack( new MonsterContract("Ogre", 15, 4250) );
						break;
					}
				case 52:
					{
						from.AddToBackpack( new MonsterContract("Gargoyle", 15, 4250) );
						break;
					}
				case 53:
					{
						from.AddToBackpack( new MonsterContract("Drake", 15, 4250) );
						break;
					}
				case 54:
					{
						from.AddToBackpack( new MonsterContract("Cyclops", 15, 4250) );
						break;
					}
				case 55:
					{
						from.AddToBackpack( new MonsterContract("Lich", 15, 4250) );
						break;
					}
					//=== Master contracts
				case 60:
					{
						from.AddToBackpack( new MonsterContract("Ophidian Matriarch", 15, 5500) );
						break;
					}
				case 61:
					{
						from.AddToBackpack( new MonsterContract("Arctic Ogre Lord", 15, 5500) );
						break;
					}
				case 62:
					{
						from.AddToBackpack( new MonsterContract("Ogre Lord", 15, 5500) );
						break;
					}
				case 63:
					{
						from.AddToBackpack( new MonsterContract("Dragon", 15, 5500) );
						break;
					}
				case 64:
					{
						from.AddToBackpack( new MonsterContract("Titan", 15, 5500) );
						break;
					}
				case 65:
					{
						from.AddToBackpack( new MonsterContract("Lich Lord", 15, 5500) );
						break;
					}
					//=== GrandMaster contracts
				case 70:
					{
						from.AddToBackpack( new MonsterContract("Ancient Wyrm", 15, 6500) );
						break;
					}
				case 71:
					{
						from.AddToBackpack( new MonsterContract("White Wyrm", 15, 6500) );
						break;
					}
				case 72:
					{
						from.AddToBackpack( new MonsterContract("Sea Terror", 15, 6500) );
						break;
					}
				case 73:
					{
						from.AddToBackpack( new MonsterContract("Shadow Wyrm", 15, 6500) );
						break;
					}
				case 74:
					{
						from.AddToBackpack( new MonsterContract("Skeletal Dragon", 15, 6500) );
						break;
					}
				case 75:
					{
						from.AddToBackpack( new MonsterContract("Moloch", 15, 6500) );
						break;
					}
				case 76:
					{
						from.AddToBackpack( new MonsterContract("Sea Serpent", 15, 3500) );
						break;
					}
				case 77:
					{
						from.AddToBackpack( new MonsterContract("Deep Sea Serpent", 15, 3500) );
						break;
					}
				case 78:
					{
						from.AddToBackpack( new MonsterContract("Kraken", 15, 4250) );
						break;
					}
				case 79:
					{
						from.AddToBackpack( new MonsterContract("Rotting Corpse", 15, 5500) );
						break;
					}
				case 80:
					{
						from.AddToBackpack( new MonsterContract("Fan Dancer", 15, 4250) );
						break;
					}
				case 81:
					{
						from.AddToBackpack( new MonsterContract("Water Elemental", 15, 2250) );
						break;
					}
				case 82:
					{
						from.AddToBackpack( new MonsterContract("Dread Spider", 15, 3500) );
						break;
					}
				case 83:
					{
						from.AddToBackpack( new MonsterContract("Tsuki Wolf", 15, 3500) );
						break;
					}
			}
		}
	}
}
